Bug 1268090 - Review Request: python-requests-mock - Mock out responses from the requests package
Review Request: python-requests-mock - Mock out responses from the requests p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
BuildFails
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 15:31 EDT by William Moreno
Modified: 2018-03-16 15:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-16 15:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-10-01 15:31:38 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-requests-mock.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-requests-mock-0.6.0-1.fc22.src.rpm
Description: Mock out responses from the requests package
Fedora Account System Username: williamjmorenor

Rawhide Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11297109
Comment 1 Randy Barlow 2015-10-27 22:28:26 EDT
Hi William! I am also seeking to become a maintainer, so this review is informal only. Here are a few notes that I have for you:

0) It is conventional to name Python 2 packages with a python- prefix and Python 3 packages with a python3- prefix, but this package uses python2- instead of python. You will probably be required to fix that.

1) Is this package only intended to support EPEL >= 7 and Fedora? If so that is fine but if not you may need some macros to make sure the Python 3 blocks only execute on systems that support Python 3.

2) You've repeated the description three times. I believe it is possible to only write it once at the top, since the two packages share the same description. I believe this holds for the summary as well.

3) You've commented out the lines in your check section. You probably should include those lines unless the tests don't pass in the upstream project. If they do not pass, I recommend removing the commented code for cleanliness.

4) Sometimes the information provided in the egg.info files can be important for certain packages, particularly if Python entry points are used. You may want to leave that in instead of removing it, but it depends on the package.

Looks good, good luck!
Comment 2 Richard Shaw 2015-10-28 18:59:45 EDT
(In reply to Randy Barlow from comment #1)
> 4) Sometimes the information provided in the egg.info files can be important
> for certain packages, particularly if Python entry points are used. You may
> want to leave that in instead of removing it, but it depends on the package.

Yes, unless there is some compelling reason to remove it, the Python packaging guidelines require that the egg.info be included in the package.
Comment 3 Christos Triantafyllidis 2015-12-03 18:44:32 EST
Hello,

I'm afraid there are a few issues that block the review of this.

Looks like the build based on that SRPM fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12043662

There are missing dependencies (at least buildrequires for python(3)-pbr).

Also the source url seems to be wrong:
http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz
The correct one should be:
http://pypi.python.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

Please fix the above and remove "BuildFails" from the whiteboard to make it re-appear to the list.

Cheers,
Christos
Comment 4 Eduardo Mayorga 2016-07-11 18:59:35 EDT
Any update?
Comment 5 William Moreno 2018-03-16 12:57:29 EDT
Hello any uodate here? If not I will need to close this ticket as a DEADREVIEW
Comment 6 Robert-André Mauchin 2018-03-16 13:50:27 EDT
(In reply to William Moreno from comment #5)
> Hello any uodate here? If not I will need to close this ticket as a
> DEADREVIEW

Well that's your own package, if you bump the version to 1.4.0, I'll review it.
Comment 7 Robert-André Mauchin 2018-03-16 13:52:05 EDT
Also the summary and description looks wrong.
Comment 8 William Moreno 2018-03-16 15:59:42 EDT
True.

Note You need to log in before you can comment on or make changes to this bug.